> ## Documentation Index
> Fetch the complete documentation index at: https://developers.dwolla.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve funding source balance

> Returns the current balance for a specific funding source. For bank accounts, includes available and closing balances; for Dwolla balance, includes balance and total amounts; for settlement accounts (bankUsageType = card-network), includes available balance only. Supports bank accounts (via Open Banking), Dwolla balance (verified customers only), and settlement accounts for card network processing.



## OpenAPI

````yaml get /funding-sources/{id}/balance
openapi: 3.1.0
info:
  title: Dwolla API
  description: Dwolla API Documentation
  contact:
    name: Dwolla Developer Relations Team
    url: https://developers.dwolla.com
    email: api@dwolla.com
  version: '2.0'
  termsOfService: https://www.dwolla.com/legal/tos/
  license:
    name: MIT
    url: https://github.com/Dwolla/dwolla-openapi/blob/master/LICENSE
servers:
  - url: https://api.dwolla.com
    description: Production server
  - url: https://api-sandbox.dwolla.com
    description: Sandbox server
security:
  - clientCredentials: []
tags:
  - name: tokens
    description: Operations related to Application Access Tokens
  - name: root
    description: Root API operations
  - name: accounts
    description: Operations related to Accounts
  - name: customers
    description: Operations related to Customers
  - name: kba
    description: Operations related to Knowledge-Based Authentication
  - name: beneficial owners
    description: Operations related to Beneficial Owners
  - name: documents
    description: Operations related to Documents
  - name: exchanges
    description: Operations related to Exchanges
  - name: exchange sessions
    description: Operations related to Exchange Sessions
  - name: funding sources
    description: Operations related to Funding Sources
  - name: transfers
    description: Operations related to Transfers
  - name: labels
    description: Operations related to Labels
  - name: mass payments
    description: Operations related to Mass Payments
  - name: events
    description: Operations related to Events
  - name: webhook subscriptions
    description: Operations related to Webhook Subscriptions
  - name: webhooks
    description: Operations related to Webhooks
  - name: client tokens
    description: Operations related to Client Tokens
  - name: sandbox simulations
    description: Sandbox-only operations for simulating processing of bank transfers
paths:
  /funding-sources/{id}/balance:
    get:
      tags:
        - funding sources
      summary: Retrieve funding source balance
      description: >-
        Returns the current balance for a specific funding source. For bank
        accounts, includes available and closing balances; for Dwolla balance,
        includes balance and total amounts; for settlement accounts
        (bankUsageType = card-network), includes available balance only.
        Supports bank accounts (via Open Banking), Dwolla balance (verified
        customers only), and settlement accounts for card network processing.
      operationId: getFundingSourceBalance
      parameters:
        - name: id
          in: path
          description: ID of funding source to retrieve the balance for
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/Accept'
      responses:
        '200':
          description: successful operation
          headers: {}
          content:
            application/vnd.dwolla.v1.hal+json:
              schema:
                oneOf:
                  - title: Dwolla Balance Response
                    description: >-
                      Response for retrieving balance of a Dwolla Balance
                      funding source
                    type: object
                    required:
                      - _links
                      - balance
                      - total
                      - lastUpdated
                    properties:
                      _links:
                        type: object
                        additionalProperties:
                          $ref: '#/components/schemas/HalLink'
                      balance:
                        type: object
                        properties:
                          value:
                            type: string
                            example: '4616.87'
                          currency:
                            type: string
                            example: USD
                      total:
                        type: object
                        properties:
                          value:
                            type: string
                            example: '4616.87'
                          currency:
                            type: string
                            example: USD
                      lastUpdated:
                        type: string
                        example: '2017-04-18T15:20:25.880Z'
                  - title: Bank Balance Response
                    description: >-
                      Response for retrieving balance of a bank account verified
                      through Open Banking
                    type: object
                    required:
                      - _links
                      - available
                      - closing
                      - lastUpdated
                    properties:
                      _links:
                        type: object
                        properties:
                          self:
                            type: object
                            properties:
                              href:
                                type: string
                                example: >-
                                  https://api.dwolla.com/funding-sources/42f48a64-2a9b-40df-9777-603ed2fe2764/balance
                              type:
                                type: string
                                example: application/vnd.dwolla.v1.hal+json
                              resource-type:
                                type: string
                                example: balance
                          funding-source:
                            type: object
                            properties:
                              href:
                                type: string
                                example: >-
                                  https://api.dwolla.com/funding-sources/42f48a64-2a9b-40df-9777-603ed2fe2764
                              type:
                                type: string
                                example: application/vnd.dwolla.v1.hal+json
                              resource-type:
                                type: string
                                example: funding-source
                      available:
                        type: object
                        properties:
                          value:
                            type: string
                            example: '542.00'
                          currency:
                            type: string
                            example: USD
                      closing:
                        type: object
                        properties:
                          value:
                            type: string
                            example: '542.00'
                          currency:
                            type: string
                            example: USD
                      lastUpdated:
                        type: string
                        example: '2024-09-09T16:39:14.219Z'
                  - title: Settlement Account Balance Response
                    description: >-
                      Response for retrieving balance of a settlement account
                      with bankUsageType = card-network
                    type: object
                    required:
                      - _links
                      - available
                    properties:
                      _links:
                        type: object
                        properties:
                          self:
                            type: object
                            properties:
                              href:
                                type: string
                                example: >-
                                  https://api.dwolla.com/funding-sources/12345678-1234-1234-1234-123456789012/balance
                              type:
                                type: string
                                example: application/vnd.dwolla.v1.hal+json
                              resource-type:
                                type: string
                                example: balance
                          funding-source:
                            type: object
                            properties:
                              href:
                                type: string
                                example: >-
                                  https://api.dwolla.com/funding-sources/12345678-1234-1234-1234-123456789012
                              type:
                                type: string
                                example: application/vnd.dwolla.v1.hal+json
                              resource-type:
                                type: string
                                example: funding-source
                      available:
                        type: object
                        properties:
                          value:
                            type: string
                            example: '3209.55'
                          currency:
                            type: string
                            example: USD
        '404':
          description: not found
          headers: {}
          content:
            application/vnd.dwolla.v1.hal+json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: notFound
                  message:
                    type: string
                    example: Funding source not found.
      x-codeSamples:
        - lang: bash
          source: >
            GET
            https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418/balance

            Accept: application/vnd.dwolla.v1.hal+json

            Authorization: Bearer
            pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
        - lang: javascript
          source: >
            // Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node

            var fundingSourceUrl =
              "https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418";

            dwolla.get(`${fundingSourceUrl}/balance`).then((res) =>
            res.body.balance.value);
        - lang: python
          source: >
            # Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python

            funding_source_url =
            'https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418'


            funding_source = app_token.get('%s/balance' % funding_source_url)
        - lang: php
          source: >
            <?php

            // Using dwollaswagger -
            https://github.com/Dwolla/dwolla-swagger-php

            $fundingSourceUrl =
            'https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418';


            $fsApi = new DwollaSwagger\FundingsourcesApi($apiClient);


            $fundingSource = $fsApi->getBalance($fundingSourceUrl);

            ?>
        - lang: ruby
          source: >
            # Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby

            funding_source_url =
            'https://api-sandbox.dwolla.com/funding-sources/c2eb3f03-1b0e-4d18-a4a2-e552cc111418'


            funding_source = app_token.get "#{funding_source_url}/balance"
components:
  parameters:
    Accept:
      name: Accept
      in: header
      required: true
      description: >-
        The media type of the response. Must be
        application/vnd.dwolla.v1.hal+json
      schema:
        type: string
        enum:
          - application/vnd.dwolla.v1.hal+json
        default: application/vnd.dwolla.v1.hal+json
  schemas:
    HalLink:
      title: HalLink
      type: object
      properties:
        href:
          type: string
          example: https://api.dwolla.com
        type:
          type: string
          example: application/vnd.dwolla.v1.hal+json
        resource-type:
          type: string
          example: resource-type
  securitySchemes:
    clientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /token
          x-speakeasy-token-endpoint-authentication: client_secret_basic
          scopes: {}

````